Skip to main content
GET
/
v0
/
page_links
/
{page_link_id}
Get page link by ID
curl --request GET \
  --url https://api.tryarchitect.com/v0/page_links/{page_link_id} \
  --header 'x-api-key: <api-key>'
{
  "pageLinkId": "<string>",
  "tenantDomainId": "<string>",
  "path": "<string>",
  "target": {
    "targetType": "<string>",
    "audienceId": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "deletedAt": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_link_id parameter

Response

Successful operation

tenantDomainId
string | null
required
path
string
required
target
object
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
deletedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$